Bug 1693249 - Define the standard value on candlepin.conf to "db.config.in.operator.block.size"
Summary: Define the standard value on candlepin.conf to "db.config.in.operator.block.s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Candlepin
Version: 6.4.2
Hardware: All
OS: All
unspecified
high
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: jcallaha
URL:
Whiteboard:
Depends On: 1694809
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-27 11:43 UTC by Waldirio M Pinheiro
Modified: 2020-04-14 13:24 UTC (History)
4 users (show)

Fixed In Version: candlepin-2.7.1-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1694809 (view as bug list)
Environment:
Last Closed: 2020-04-14 13:24:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1599752 high CLOSED virt-who failed to upload data to satellite 6 if VM count is more than 17000 2020-10-14 00:28:05 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:24:19 UTC

Description Waldirio M Pinheiro 2019-03-27 11:43:10 UTC
Description of problem:
Sometimes we got issues where the workaround is to add the line as below
"db.config.in.operator.block.size = 1000".

Filling the BZ from Mike request.

Version-Release number of selected component (if applicable):
6.4.z

How reproducible:


Steps to Reproduce:
1. Sometimes happens with a customer with more then 17k VM's on virtualization environment
2.
3.

Actual results:
virt-who fail
---
2018-08-31 20:44:11,229 [virtwho.destination_-4756648715778885625 ERROR] MainProcess(3194):Thread-3 @virt.py:run:388 - Thread 'destination_-4756648715778885625' fails with exception:
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/virtwho/virt/virt.py", line 379, in run
    self._run()
  File "/usr/lib/python2.7/site-packages/virtwho/virt/virt.py", line 335, in _run
    self._send_data(data_to_send)
  File "/usr/lib/python2.7/site-packages/virtwho/virt/virt.py", line 665, in _send_data
    self.dest.check_report_state(batch_host_guest_report)
  File "/usr/lib/python2.7/site-packages/virtwho/manager/subscriptionmanager/subscriptionmanager.py", line 353, in check_report_state
    for fail in result_data.get('failedUpdate', []):
AttributeError: 'unicode' object has no attribute 'get'
2018-08-31 20:44:11,229 [virtwho.destination_-4756648715778885625 INFO] MainProcess(3194):Thread-3 @virt.py:_send_data:553 - Error report received
---

Expected results:
virt-who push the information without error.

Additional info:

Comment 5 William Poteat 2019-05-09 20:07:58 UTC
As per

https://bugzilla.redhat.com/show_bug.cgi?id=1694809#c1

Comment 8 jcallaha 2019-12-11 16:29:20 UTC
Verified in Satellite 6.7 Snap 4

This was fixed in candlepin-2.7.1-1
The version included in this Satellite snap is candlepin-2.9.14-1

Comment 11 errata-xmlrpc 2020-04-14 13:24:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.